%define apiversion 3.0
%define majversion  %(echo %version | cut -d. -f 1-2)
Name:          libsoup
Version:       3.2.0
Release:       1mamba
Epoch:         1
Summary:       An HTTP library implementation in C
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org/
Source:        https://download.gnome.org/sources/%{name}/%{majversion}/%{name}-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbrotli-devel
BuildRequires: libglib-devel
BuildRequires: libkrb5-devel
BuildRequires: libnghttp2-devel
BuildRequires: libpsl-devel
BuildRequires: libsqlite-devel
BuildRequires: libsysprof-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: glib-networking
BuildRequires: pkgconfig
Requires:      glib-networking

%description
Soup is an HTTP library implementation in C.
It was originally part of a SOAP (Simple Object Access Protocol) implementation, but the SOAP code was later removed (and then later partially reimplemented...)

Soup uses GObjects and the glib main loop, and is designed to work well with Gtk/GNOME applications.
This enables GNOME applications to access HTTP servers on the network in a completely asynchronous fashion, very similar to the Gtk+ programming model (a synchronous operation mode is also supported for those who want it).

Soup also contains code to implement an HTTP/1.1 server.

Features:
* (Optionally) completely asynchronous
* Automatically caches connections
* SSL Support using GnuTLS
* Proxy support, including authentication and SSL tunneling
* Client support for Digest, NTLM, and Basic authentication
* Server support for Digest and Basic authentication

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Soup is an HTTP library implementation in C.
It was originally part of a SOAP (Simple Object Access Protocol) implementation, but the SOAP code was later removed (and then later partially reimplemented...)
Soup uses GObjects and the glib main loop, and is designed to work well with Gtk/GNOME applications.
This enables GNOME applications to access HTTP servers on the network in a completely asynchronous fashion, very similar to the Gtk+ programming model (a synchronous operation mode is also supported for those who want it).
Soup also contains code to implement an HTTP/1.1 server.

Features:
* (Optionally) completely asynchronous
* Automatically caches connections
* SSL Support using GnuTLS
* Proxy support, including authentication and SSL tunneling
* Client support for Digest, NTLM, and Basic authentication
* Server support for Digest and Basic authentication

This package contains static libraries and header files needed for development.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson \
   -Ddocs=enabled

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libsoup-*.so.*
#%{_libdir}/libsoup-gnome-*.so.*
%{_libdir}/girepository-1.0/Soup*-*.typelib
#%{python3_sitearch}/gi/overrides/Soup.py
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libsoup-%{apiversion}/%{name}/*.h
#%{_includedir}/libsoup-gnome-%{apiversion}/%{name}/*.h
%{_libdir}/libsoup-*.so
#%{_libdir}/libsoup-gnome-*.so
%{_datadir}/gir-1.0/Soup*-*.gir
%{_datadir}/vala/vapi/libsoup-*.deps
%{_datadir}/vala/vapi/libsoup-*.vapi
%{_libdir}/pkgconfig/libsoup*.pc
%doc NEWS README

%files apidocs
%defattr(-,root,root)
%dir %{_docdir}/%{name}-%{apiversion}
%{_docdir}/%{name}-%{apiversion}/*

%changelog
* Sun Sep 18 2022 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sat Sep 03 2022 Automatic Build System <autodist@mambasoft.it> 3.0.8-1mamba
- automatic version update by autodist

* Fri Jul 01 2022 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Fri Apr 01 2022 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic version update by autodist

* Thu Jan 06 2022 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic version update by autodist

* Thu Nov 25 2021 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Mon Oct 25 2021 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Wed Sep 29 2021 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Mon Aug 23 2021 Automatic Build System <autodist@mambasoft.it> 2.74.0-1mamba
- automatic version update by autodist

* Thu Nov 19 2020 Automatic Build System <autodist@mambasoft.it> 2.72.0-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 2.70.0-1mamba
- automatic version update by autodist

* Wed Feb 26 2020 Automatic Build System <autodist@mambasoft.it> 2.68.4-1mamba
- automatic version update by autodist

* Wed Dec 04 2019 Automatic Build System <autodist@mambasoft.it> 2.68.3-1mamba
- automatic version update by autodist

* Wed Oct 09 2019 Automatic Build System <autodist@mambasoft.it> 2.68.2-1mamba
- automatic version update by autodist

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 2.68.1-1mamba
- automatic version update by autodist

* Fri Aug 10 2018 Automatic Build System <autodist@mambasoft.it> 2.62.3-1mamba
- automatic version update by autodist

* Mon May 07 2018 Automatic Build System <autodist@mambasoft.it> 2.62.2-1mamba
- automatic version update by autodist

* Tue Apr 10 2018 Automatic Build System <autodist@mambasoft.it> 2.62.1-1mamba
- automatic version update by autodist

* Sun Mar 25 2018 Automatic Build System <autodist@mambasoft.it> 2.62.0-1mamba
- automatic version update by autodist

* Fri Jan 12 2018 Automatic Build System <autodist@mambasoft.it> 2.60.3-1mamba
- automatic version update by autodist

* Fri Oct 27 2017 Automatic Build System <autodist@mambasoft.it> 2.60.2-1mamba
- automatic version update by autodist

* Wed Oct 11 2017 Automatic Build System <autodist@mambasoft.it> 2.60.1-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 2.60.0-1mamba
- automatic version update by autodist

* Fri Aug 11 2017 Automatic Build System <autodist@mambasoft.it> 2.58.2-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 2.58.1-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 2.56.0-1mamba
- automatic version update by autodist

* Sat Apr 30 2016 Automatic Build System <autodist@mambasoft.it> 2.54.1-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 2.54.0.1-1mamba
- automatic version update by autodist

* Fri Nov 13 2015 Automatic Build System <autodist@mambasoft.it> 2.52.2-1mamba
- automatic version update by autodist

* Tue Oct 13 2015 Automatic Build System <autodist@mambasoft.it> 2.52.1-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 2.52.0-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 2.50.0-1mamba
- automatic version update by autodist

* Fri Dec 12 2014 Automatic Build System <autodist@mambasoft.it> 2.48.1-1mamba
- automatic update by autodist

* Tue Sep 23 2014 Automatic Build System <autodist@mambasoft.it> 2.48.0-1mamba
- automatic version update by autodist

* Fri Sep 19 2014 Automatic Build System <autodist@mambasoft.it> 2.47.92-1mamba
- automatic update by autodist

* Tue Jul 22 2014 Automatic Build System <autodist@mambasoft.it> 2.47.4-1mamba
- automatic version update by autodist

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 2.47.3-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 2.46.0-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 2.44.2-1mamba
- automatic version update by autodist

* Tue Oct 15 2013 Automatic Build System <autodist@mambasoft.it> 2.44.1-1mamba
- automatic version update by autodist

* Mon Oct 07 2013 Automatic Build System <autodist@mambasoft.it> 2.44.0-1mamba
- automatic version update by autodist

* Mon Sep 30 2013 Automatic Build System <autodist@mambasoft.it> 2.43.92-1mamba
- automatic update by autodist

* Thu Aug 22 2013 Automatic Build System <autodist@mambasoft.it> 2.43.90-1mamba
- automatic update by autodist

* Tue Jul 16 2013 Automatic Build System <autodist@mambasoft.it> 2.43.4-1mamba
- automatic update by autodist

* Wed May 29 2013 Automatic Build System <autodist@mambasoft.it> 2.43.2-1mamba
- automatic update by autodist

* Wed May 01 2013 Automatic Build System <autodist@mambasoft.it> 2.43.1-1mamba
- automatic version update by autodist

* Thu Apr 25 2013 Automatic Build System <autodist@mambasoft.it> 2.42.2-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 2.42.1-1mamba
- automatic version update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 2.42.0-1mamba
- automatic version update by autodist

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 2.40.3-1mamba
- automatic version update by autodist

* Thu Nov 15 2012 Automatic Build System <autodist@mambasoft.it> 2.40.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 2.40.1-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 2.40.0-1mamba
- automatic version update by autodist

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.38.1-2mamba
- move *.typelib file from -devel to main package 

* Tue Apr 17 2012 Automatic Build System <autodist@mambasoft.it> 2.38.1-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 2.38.0-1mamba
- update to 2.38.0

* Tue Oct 25 2011 Automatic Build System <autodist@mambasoft.it> 2.37.1-1mamba
- automatic version update by autodist

* Tue Oct 18 2011 Automatic Build System <autodist@mambasoft.it> 2.36.1-1mamba
- automatic version update by autodist

* Wed Sep 28 2011 Automatic Build System <autodist@mambasoft.it> 2.36.0-1mamba
- automatic version update by autodist

* Thu Jul 28 2011 Automatic Build System <autodist@mambasoft.it> 2.34.3-1mamba
- automatic update by autodist

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 2.34.2-1mamba
- automatic update to 3.0.3.0 by autodist

* Tue Nov 30 2010 Automatic Build System <autodist@mambasoft.it> 2.32.2-1mamba
- automatic update to 2.32.2 by autodist

* Tue Nov 16 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Fri Oct 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.0-2mamba
- rebuilt with introspection support

* Wed Sep 29 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-2mamba
- automatic rebuild by autodist

* Wed Jun 23 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- automatic update to 2.30.2 by autodist

* Sat May 29 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic update to 2.30.1 by autodist

* Mon Jan 25 2010 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update by autodist

* Tue Oct 20 2009 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Sun Sep 27 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic update to 2.28.0 by autodist

* Thu Jul 02 2009 Automatic Build System <autodist@mambasoft.it> 2.26.3-1mamba
- automatic update by autodist

* Thu Jun 11 2009 Automatic Build System <autodist@mambasoft.it> 2.26.2-1mamba
- automatic update by autodist

* Fri Apr 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.1-1mamba
- automatic update by autodist

* Wed Mar 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- automatic update to 2.26.0 by autodist

* Fri Apr 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-1mamba
- update to 2.4.1

* Mon Sep 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.100-1mamba
- update to 2.2.100

* Sun Jan 14 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.2.99-1qilnx
- update to version 2.2.99 by autospec

* Fri Jan 12 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.2.98-1qilnx
- update to version 2.2.98 by autospec

* Wed Mar 22 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.2.7-1qilnx
- downgrade to version 2.2.7 (libsoup 2.2.91 requires GLib 2.10.x)

* Fri Mar 17 2006 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.2.91-1qilnx
- update to version 2.2.91 by autospec

* Fri Oct 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.2.6-2qilnx
- gtk documentation moved to devel package

* Thu Sep 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.2.6-1qilnx
- update to version 2.2.6 by autospec

* Fri May 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.2.3-2qilnx
- rebuilt

* Fri Mar 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.3-1qilnx
- update to version 2.2.3 by autospec

* Wed Oct 13 2004 Massimo Pintore <massimo.pintore@qilinux.it> 2.2.1-1qilnx
- update to version 2.2.1 by autospec

* Mon Sep 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1qilnx
- package created by autospec
